package com.cf.imes.framework.common.enums;


import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.Getter;
import lombok.Setter;

@AllArgsConstructor
@Getter
public enum ProcessingStatusEnum {

    RAW(false,"未加工"),
    PROCESSED(true, "已加工");
    private Boolean status;
    private String description;

    public boolean equals(Integer status) {
        return this.status .equals(status) ;
    }

    public boolean equals(ProcessingStatusEnum enableStatusEnum) {
        return enableStatusEnum != null && enableStatusEnum.status .equals(this.getStatus()) ;
    }
}

